import org.jdom.Element;
import java.util.*;
import java.awt.*;

public class GraphicPolygon extends GraphicDotSet {

    public Element toXML() {
	Element line = new Element("area");
	Enumeration dts = dots.elements();
	while(dts.hasMoreElements()) {
	    CanvasDot pt = (CanvasDot)dts.nextElement();
	    line.addContent(pt.toXML());
	}
	return line;
    }


    /**
     *
     */
    public void show(Graphics g, boolean z) {
	int x,y,scale=(z?2:1);

	if (!dots.isEmpty()) {
	    Enumeration pts = dots.elements();
	    CanvasDot last = null;
	    CanvasDot first = (CanvasDot)dots.firstElement();
	    while(pts.hasMoreElements()) {
		CanvasDot pt = (CanvasDot)pts.nextElement();
		if (isActive()) {
		    g.setColor(pt.isActive()?new Color(255,0,0):new Color(0,0,255));
		} else {
		    g.setColor(new Color(0,255,0));
		}
		x = (int)(scale*pt.getX()-scale*6);
		y = (int)(scale*pt.getY()-scale*6);
		if (isActive()) {
		    g.drawRect(x,y,scale*12,scale*12);
		    g.setColor(new Color(0,0,255));
		}
		if (last!=null) {
		    g.drawLine((int)(scale*pt.getX()),   (int)(scale*pt.getY()),
			       (int)(scale*last.getX()), (int)(scale*last.getY()));
		}
		last = pt;
	    }
	    if (isActive()) {
		g.setColor(new Color(175,175,175));
	    }
	    g.drawLine((int)(scale*first.getX()), (int)(scale*first.getY()),
		       (int)(scale*last.getX()),  (int)(scale*last.getY()));
	}
    }
}
